import { EventBus } from '../event-bus';
import { Queue } from './queue';
import { AssetStorage } from './storage';
export declare class Downloader extends EventBus {
    private storage;
    private queue;
    private basePath;
    constructor(storage: AssetStorage, queue: Queue, basePath?: string);
    setBasePath(path: string): void;
    download(): Promise<any>;
    downloadItem(path: string): Promise<any>;
}
